/* Copyright (C) 2005  Thomas Petazzoni

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.
*/

#ifndef _SOS_PART_H_
#define _SOS_PART_H_

/**
 * @file part.h
 *
 * IBM PC partition "driver": in charge of registering each of the
 * partition of the given block device
 */

sos_ret_t sos_part_detect (sos_ui32_t disk_class, sos_ui32_t disk_instance,
			   sos_size_t block_size, const char *name);

sos_ret_t sos_part_undetect (sos_ui32_t disk_class, sos_ui32_t disk_instance);

#endif /* _SOS_PART_H_ */
